Create new notification category for talk pages: flowusertalk
Closed, ResolvedPublic

Description

Right now, when something happens on your user talk page, and your user talk page is wikitext, you get an edit-user-talk notification, which is an alert and clearly states your user talk page has been changed. However, if your user talk page is a Flow board, you get a generic Flow notification (not classified as an alert), with no special indication that your user talk page is involved (other than the page name near the end of the message).

We should prioritize Flow notifications about the user's own talk page, probably by creating a new notification type for them.

Open questions:

  • Which events should we do this for?
    • flow-new-topic: Yes
    • flow-post-reply: Yes
    • flow-topic-renamed: Probably not? If someone renames a topic you created, I don't think it matters much where that topic is located, and people don't frequently create topics on their own user talk page.
    • flow-post-edited: Probably not? If someone edits a post you wrote, I don't think it matters much where that post is locate,) but I'm less sure in this case.
    • flow-mention: No. A mention is already an alert, and there will already be separate event about someone posting on your user talk page anyway.
  • Should we always notify for events to do with your user talk page, even though you otherwise wouldn't be?
    • For new topics: yes. I think we should notify the user about new topics on their own user talk page, even if they don't watch that page.
    • For posts: maybe? I think it would be consistent with edit-user-talk to notify about all posts regardless of whether the user watches the topics those posts are in; but we'd probably need good bundling to prevent this from getting too spammy. For edit-user-talk, this is fine because the events are all bundled together and you end up with something like "Alice and 2 others edited your user talk page" even if those three people made a hundred edits.
Catrope created this task.Dec 16 2015, 5:48 PM
Catrope updated the task description. (Show Details)
Catrope raised the priority of this task from to Needs Triage.
Catrope assigned this task to jmatazzoni.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 16 2015, 5:48 PM

Assigned to Joe to narrow down the specifics and come up with wording.

@Pginer-WMF, @Quiddity: Your input would be much appreciated

Re: flow-post-edited - currently these are only sent when someone edits my post.
If a topic is on my user talk page, I'd want to know when anyone edited anyone's posts (whether it's their own, or someone else's).

Re: flow-topic-renamed - similarly, if something happens on my user talk page, I want to know about it, as a higher priority, because it could be people engaging in an edit-war.


This is related to the more long-term discussions about flow 'noise/volume' controls: T121138: Enable a way for us to choose whether to autowatchlist each new flow topic and T100528: Improve organization and control for Flow notifications (tracking + ideas) - I.e. On some topics (or boards) I want to see everything that changes.
The most complicated/unresolved aspect of this is: Do I want to get Notifications for every single change, or just to have every single change appear in my watchlist?


I'll CC some users with very active flow user talk pages, for their input (please CC more!): @Amire80 @Ladsgroup @Trizek-WMF

Re: flow-post-edited - currently these are only sent when someone edits my post.
If a topic is on my user talk page, I'd want to know when anyone edited anyone's posts (whether it's their own, or someone else's).

Re: flow-topic-renamed - similarly, if something happens on my user talk page, I want to know about it, as a higher priority, because it could be people engaging in an edit-war.

I am now tempted to rename this task to "Engage full surveillance mode for Flow talk pages"

I use Flow on my volunteer talk page since July, and, when I have 5 notifications from Flow, I really appreciate to know the priority. A direct message to me is #1 prority.

Events:

  • flow-new-topic: Yes
  • flow-post-reply: Yes
  • flow-topic-renamed: Yes: some people may, as they are upset by something you have done, change topic titles. Already experienced.
  • flow-post-edited: If there is already a warning about your posts edition, no matter where it is posted, that's fine. But +1 on the fact that people edit other posts than mine on my talk page (due to the same experience as above).
  • any activity on your talk page should be notified, no matter if you want it or not.

I've spread the word on cawp, frwp and zhwp.

Catrope triaged this task as Normal priority.
Catrope set Security to None.

The "you have a new message" notification has been always there for at least one decade, it has been useful and we would miss it. Furthermore, I get about a dozen notifications a day and I would easily miss messages in my talk page.

Then, an special notification for editions in the user's own talk page is a must. For me, not having it a reason strong enough not to migrate my talk page to flow.

The "you have a new message" notification has been always there for at least one decade, it has been useful and we would miss it. Furthermore, I get about a dozen notifications a day and I would easily miss messages in my talk page.

I don't know which way we want to go on this, but this is indeed a good time to discuss this (newtalk flag, new mini-orange bar and how it should relate to Flow given that we're making this change).

jmatazzoni added a comment.EditedDec 22 2015, 1:38 AM

To address the concerns raised in this ticket, we propose a new category of Flow notification that is specific to flow user talk pages. Some of us have been commenting on a Google doc of a proposed spec for this new notification type, and it should be pretty close to finalized so I'm now copying the contents of that doc to this ticket, below. Please use this version going forward.

SPEC FOR NEW NOTIFICATION CATEGORY-- FLOWUSERTALK

Definition: To address the concerns raised in this ticket, we propose a new category of Flow notification that is specific to flow user talk pages.

Name: we propose the name “flowusertalk” for this new category.

Types: there are four types of flowusertalk notification:

  • flowusertalk-new-topic
  • flowusertalk-post-reply
  • flowusertalk-topic-renamed
  • flowusertalk-post-edited

Urgency: Because the user talk page is important, all of these types will be Urgent in our new scheme (under development T123018) and will be signaled as such.

Mention: we don't need a new item for flowusertalk-mention. As now happens on wiki user talk pages, if someone mentions you on your flowusertalk page, the other notification types supersede (and no redundant notification will be sent).

Icons: Since these enlarge the existing class, as it were, of talk page notifications, their icons share “family” characteristics with edit-user-talk and should be distinct from the (new) icons used for the four non-flowusertalk notification types these new types are based on. E.g., the icon for flowusertalk-new-topic will be distinct from flow-new-topic and will bear a family resemblance to edit-user-talk.

Language & Linking: Please find approved language and links for these new notification types in the spreadsheet V 2.0 Notifications -- Showing Updated Text and Links. [NOTE: the info in this spreadsheet is more current than what was in the previous Google doc of the flowusertalk spec, so please refer all questions and comments only to the spreadsheet going forward.]

flowusertalk-post-edited Unlike flow-post-edited, which notifies you only when a post YOU made is edited, the flowusertalk version will notify you when ANY post on your user talk page is edited.

For the record, regarding use of the Orange Bar for flowusertalk Notifications: In the 12/29 Collab Team Discussion meeting, we decided that the Orange bar will not appear initially for flowusertalk notifications. We think this is somewhat redundant given the urgency scheme. But Nick points out that the users have strong feelings about the bar.

We will initially leave the Orange Bar in place for edit-user-talk. Ultimately, however, both kinds of user talk (Flow, non-Flow) notifications should get consistent behavior. If the users complain about the missing bar, we can add it for flowusertalk. If the users don't complain, we can revisit the bar's usage for for regular user-talk (needs community consultation).

jmatazzoni renamed this task from Flow posts on one's own user talk page should use a notification more like edit-user-talk to Create new notification category for talk pages: flowusertalk.Jan 12 2016, 6:59 PM

Added an item to the spec above to clarify functionality of flowusertalk-post-edited:

flowusertalk-post-edited Unlike flow-post-edited, which notifies you only when a post YOU made is edited, the flowusertalk version will notify you when ANY post on your user talk page is edited.

Change 265461 had a related patch set uploaded (by Matthias Mullie):
[WIP] Engage full surveillance mode for Flow talk pages

https://gerrit.wikimedia.org/r/265461

matthiasmullie added a comment.EditedJan 21 2016, 6:07 AM

Where can I find the icons? Barring the icons (which are currently the default Flow non-talkpage equivalents), this patch is ready.

Where can I find the icons? Barring the icons (which are currently the default Flow non-talkpage equivalents), this patch is ready.

The icons were created in this sub-task: T123434: Create icons for Flowusertalk notifications

Mention: we don't need a new item for flowusertalk-mention. As now happens on wiki user talk pages, if someone mentions you on your flowusertalk page, the other notification types supersede (and no redundant notification will be sent).

Not true for flow-new-topic with flow-mention. Filed as T124803: Creating a new topic with a mention generates both events

I'm sorry, but I'm not following this. Can you explain more fully? And do you need me to change the spec here?

I'm sorry, but I'm not following this. Can you explain more fully? And do you need me to change the spec here?

I was just pointing out that the mention notification being superseeded by a more important notification for the same event appears to be broken for flow-new-topic. It is broken because 2 notifications are sent for the same event.

I filed a ticket for it so it can be discuss and fixed. No action needed here.

Change 265461 merged by jenkins-bot:
Engage full surveillance mode for Flow talk pages

https://gerrit.wikimedia.org/r/265461

Etonkovidova added a subscriber: Etonkovidova.EditedFeb 2 2016, 11:58 PM

I tested watched (default) and non-watched Flow talk user pages - no difference in notifications type/rate.

Presently, in betalabs

eventnotification comes
flow-new-topicYes
flowusertalk-post-reply (to my post)Yes
flowusertalk-post-reply (not my post)Yes
flowusertalk-topic-renamed (my topic)Yes
flowusertalk-topic-renamed (not my topic)Yes
flowusertalk-post-edited (my post)Yes
flowusertalk-post-edited (not my post)Yes

The screenshot below shows the following cases - including the case when a post was edited multiple times:
flow-new-topic
flowusertalk-post-reply (to my post)
flowusertalk-topic-renamed (my topic)
flowusertalk-post-edited (my post)

Note:
Notifications to
flowusertalk-post-reply (not to my post)
flowusertalk-topic-renamed (not my topic)
flowusertalk-post-edited (not my post)
look the same.

Language Point -- "in" vs. "on"

Looking at the screenshot @Etonkovidova posted (repeated below), I see some language inconsistency that I think we should address. I'm looking at these the following messages:

  • Etonkovidova posted a reply on your talk page in "Feb 02 ET13"
  • Your post on "Test" was edited.

The first message (correctly, IMHO) talks about a reply that was "on" your talk page and "in" a certain topic. But the second, if I read it correctly, talks about a post "on" a certain topic.

Saying that a post is "on" a topic is not incorrect grammatically. But when our usage wobbles like this, it creates noise in the signal. Just as we've standardized that page names should be bold while topics get quotation marks, standardizing on how we talk about pages vs. topics will help our messaging to be more clear. I propose we settle on the following:

  • Things are "on" pages.
  • But things should be "in" topics.

The language on the Notifications spreadsheet is mostly consistent on this point. Does this make sense to people?

When talking about a topic, I propose we standardize on saying that posts or edits are "in" the topic.

When talking about a topic, I propose we standardize on saying that posts or edits are "in" the topic.

Makes sense to me. I adjusted M132 accordingly since one of the examples was not following that.

Change 268110 had a related patch set uploaded (by Sbisson):
Fix notification language: a post IN a topic ON a page

https://gerrit.wikimedia.org/r/268110

Change 268110 merged by jenkins-bot:
Fix notification language: a post IN a topic ON a page

https://gerrit.wikimedia.org/r/268110

Etonkovidova added a comment.EditedFeb 18 2016, 12:55 AM

flowusertalk-new-topic
A topic title is bolded. Topics should be bolded. The spreadsheet is corrected.
Excerpt of message (if feasible) -- for multiple topics on a page is not implemented. OK as it is.
Header text does not match specs in
V 2.0 Notifications -- Showing Updated Text and Links
OK as it is.
Header text: 5 new topics created on your talk page

Other specs are in place - see the screenshot and specs description below.


From V 2.0 Notifications -- Showing Updated Text and Links
Header text: A new topic was created on your talk page: “How the moai moved?”
Body text: Excerpt of message (if feasible)

Primary link
Label: View user talk page
Target:The Flow board, with sorting order forced to newest topics first

Secondary link #1
Label: the user name of the user who did the action t($1)
Icon: userAvatar
Target: the user page of the user who created the topic

Etonkovidova added a comment.EditedFeb 18 2016, 1:30 AM

flowusertalk-post-reply
A topic title is bolded. Topics should be bolded. The spreadsheet is corrected.
Header text: 5 new replies on your talk page in "How the Moai Moved". [BF for your Talk Page]
Body text: Excerpt of the topmost visually of the new posts (if feasible) --not implemented?
OK as it is.


Other specs are in place - see the screenshots and specs description below.

From V 2.0 Notifications -- Showing Updated Text and Links

Primary link
Label: View message
Target:The "reply" (i.e. the new post)]

Secondary link #1
Label: the user name of the user who did the action t($1)
Icon: userAvatar
Target: "the user page of the user who did the action]

Etonkovidova added a comment.EditedFeb 18 2016, 1:51 AM

flowusertalk-topic-renamed

A topic title is bolded. Topics should be bolded. The spreadsheet is corrected.
Secondary link #2 --- not yet implemented ? - Needs to be implemented.
Label:View changes
Icon: changes (new)
Target: The diff of the edit

Other specs are in place - see the screenshots and specs description below.

From V 2.0 Notifications -- Showing Updated Text and Links

Header text: The topic “Nui rapa” was renamed “Rapa Nui” on your talk page. [BF for your Talk Page]
Primary link
Label: View topic
Target: The renamed topic

Secondary link #1
Label: the user name of the user who did the action t($1)
Icon: userAvatar
Target: the user page of the user who did the action

Etonkovidova added a comment.EditedFeb 18 2016, 5:23 PM

flowusertalk-post-edited

A topic title is bolded. Topics should be bolded. The spreadsheet is corrected.
Secondary link #2 --- not yet implemented ? Needs to be implemented.
Label:View changes
Icon: changes (new)
Target: The diff of the edit

Other specs are in place - see the screenshots and specs description below.

From V 2.0 Notifications -- Showing Updated Text and Links

Header text: A post in “Rapa Nui” was edited on your talk page.
Body text: Excerpt of edited message (if feasible)
Primary link
Label: View post
Target: The edited post

Secondary link #1
Label: the user name of the user who did the action t($1)
Icon: userAvatar
Target: the user page of the user who did the action

Elena and I went through her notes above, and she is going to carry forward required changes below.

@matthiasmullie

Please refer to V 2.0 Notifications -- Showing Updated Text and Links for implementation of Secondary link #2 for

flowusertalk-topic-renamed
flowusertalk-post-edited

Change 272730 had a related patch set uploaded (by Matthias Mullie):
Add secondary links for edited topic/post on user talk pages

https://gerrit.wikimedia.org/r/272730

Change 272730 merged by jenkins-bot:
Add secondary links for edited topic/post on user talk pages

https://gerrit.wikimedia.org/r/272730

flowusertalk-topic-renamed
flowusertalk-post-edited

Checked against specs in V 2.0 Notifications -- Showing Updated Text and Links - all specs are in place.

jmatazzoni closed this task as Resolved.Mar 3 2016, 6:58 PM